package com.ebei.screen.common.response;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 统一响应对象
 *
 * @author Levi
 */
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Data
public class ResponseBean<T> {

    /**
     * 响应状态码
     */
    private Integer status;

    /**
     * 响应信息
     */
    private String message;

    /**
     * 响应具体内容
     */
    private T data;

    public static ResponseBean success() {
        return new ResponseBean(200, "成功", null);
    }

    public static <E> ResponseBean<E> success(E data) {
        return new ResponseBean<>(200, "成功", data);
    }


    public static ResponseBean fail(String reason) {
        return new ResponseBean(500, reason, null);
    }
}
