package com.ebei.screen.common.util;

import cn.hutool.core.util.IdUtil;

import java.lang.reflect.Array;
import java.util.Collection;
import java.util.Map;

/**
 * @version v1.0
 * @ProjectName: screen
 * @ClassName: CommonUtil
 * @Description:
 * @Author: ch
 * @Date: 2021-01-19 16:01
 */
public class CommonUtil {

    private static Long workId = 1L;
    private static Long centerId = 1L;

    /**
     * 判断空值
     *
     * @param obj
     * @return
     */
    public static boolean isEmpty(Object obj) {
        if (null == obj) {
            return true;
        }
        if (obj instanceof String) {
            String s = (String) obj;
            return s.trim().length() == 0 || "null".equals(s) || "NULL".equals(s) || "undefined".equals(s);
        }
        if (obj.getClass().isArray()) {
            return Array.getLength(obj) == 0;
        }
        if (obj instanceof Collection) {
            @SuppressWarnings("rawtypes")
            Collection c = (Collection) obj;
            return c.isEmpty();
        }
        if (obj instanceof Map) {
            @SuppressWarnings("rawtypes")
            Map m = (Map) obj;
            return m.isEmpty();
        }
        return false;
    }

    public static boolean isNotEmpty(Object obj) {
        return !isEmpty(obj);
    }

    public static Long getSnowId() {
        return IdUtil.getSnowflake(workId,centerId).nextId();
    }

}
